commit:     e6128357300ac9595eb4900d26db4ff8bb995713
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 24 05:44:16 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan 24 06:32:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6128357

sys-devel/llvm-toolchain-symlinks: Add 19.x live ebuild

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../llvm-toolchain-symlinks-19.ebuild              | 46 ++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git 
a/sys-devel/llvm-toolchain-symlinks/llvm-toolchain-symlinks-19.ebuild 
b/sys-devel/llvm-toolchain-symlinks/llvm-toolchain-symlinks-19.ebuild
new file mode 100644
index 000000000000..a57062acab8c
--- /dev/null
+++ b/sys-devel/llvm-toolchain-symlinks/llvm-toolchain-symlinks-19.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib
+
+DESCRIPTION="Symlinks to use LLVM on binutils-free system"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:LLVM";
+S=${WORKDIR}
+
+LICENSE="public-domain"
+SLOT="${PV}"
+IUSE="multilib-symlinks +native-symlinks"
+
+RDEPEND="
+       sys-devel/llvm:${SLOT}
+"
+
+src_install() {
+       use native-symlinks || return
+
+       local tools=(
+               addr2line ar dlltool nm objcopy objdump ranlib readelf size
+               strings strip windres
+       )
+       local chosts=( "${CHOST}" )
+       if use multilib-symlinks; then
+               local abi
+               for abi in $(get_all_abis); do
+                       chosts+=( "$(get_abi_CHOST "${abi}")" )
+               done
+       fi
+
+       local chost t
+       local dest=/usr/lib/llvm/${SLOT}/bin
+       dodir "${dest}"
+       for t in "${tools[@]}"; do
+               dosym "llvm-${t}" "${dest}/${t}"
+       done
+       for chost in "${chosts[@]}"; do
+               for t in "${tools[@]}"; do
+                       dosym "llvm-${t}" "${dest}/${chost}-${t}"
+               done
+       done
+}

Reply via email to